Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029861
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-05-13 12:042015-05-18 11:59
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision14775af5b6a0
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029861: [Cost Adjutments] - Error in Price Correction Background if Costing Background has not been executed

Description[Cost Adjutments] - Error in Price Correction Background if Costing Background has not been executed
Steps To ReproduceAs QA Testing Admin:

- Create a Product with name Test for Spain organization
Add a Purchase price list version with 100 unit/list price

- Create a Purchase Order with Test product and quantity 5. Book it.

- Create a Purchase Invoice, creating lines from the created order. Change the unit price to 105. Complete it.

- Create a Goods Receipt, creating lines from the created invoice. Complete it.

- Go to Process Request window and run Price Correction Background process. Realize in Process Monitor, the status of the process is Error.

The problem is that if Costing Background process has not been executed, the transaction does not have the cost calculated, and when executing the Price Correction Background a null pointer exception will be raised.
Proposed SolutionAdd in processPriceDifference method in PriceDifferenceProcess class, a restriction to ensure the transactions have the cost calculated.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00298873.0PR15Q2.1 closedaferraz [Cost Adjutments] - Error in Price Correction Background if Costing Background has not been executed 
depends on backport 00298883.0PR15Q1.4 closedaferraz [Cost Adjutments] - Error in Price Correction Background if Costing Background has not been executed 

-  Notes
(0077445)
hgbot (developer)
2015-05-14 13:47

Repository: erp/devel/pi
Changeset: 14775af5b6a0ac9017cb674f11c04a873c4dec07
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed May 13 12:11:18 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/14775af5b6a0ac9017cb674f11c04a873c4dec07 [^]

Fixes issue 29701 & Fixes issue 29861: Error in Price Correction Background

IsCostCalculated will not be considered to set CheckPriceDifference flag, when completing an invoice.
Instead, when running Price Correction Background, transactions will be filtered by IsCostCalculated to avoid calculate price differences in transactions where cost has not been calculated.

---
M src-db/database/model/functions/C_INVOICE_POST.xml
M src/org/openbravo/costing/PriceDifferenceProcess.java
---
(0077508)
hudsonbot (developer)
2015-05-16 05:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/33b0ebaa36ae [^]
Maturity status: Test
(0077525)
umartirena (developer)
2015-05-18 11:59

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-05-13 12:04 aferraz New Issue
2015-05-13 12:04 aferraz Assigned To => aferraz
2015-05-13 12:04 aferraz Modules => Core
2015-05-13 12:04 aferraz Triggers an Emergency Pack => No
2015-05-13 12:05 aferraz Summary Error in Price Correction Background if Consting Background has not been executed => [Cost Adjutments] - Error in Price Correction Background if Consting Background has not been executed
2015-05-13 12:05 aferraz Description Updated View Revisions
2015-05-14 13:47 hgbot Checkin
2015-05-14 13:47 hgbot Note Added: 0077445
2015-05-14 13:47 hgbot Status new => resolved
2015-05-14 13:47 hgbot Resolution open => fixed
2015-05-14 13:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/14775af5b6a0ac9017cb674f11c04a873c4dec07 [^]
2015-05-14 16:55 aferraz Status resolved => new
2015-05-14 16:55 aferraz Resolution fixed => open
2015-05-14 16:56 aferraz Status new => scheduled
2015-05-14 16:57 aferraz Status scheduled => resolved
2015-05-14 16:57 aferraz Fixed in Version => 3.0PR15Q3
2015-05-14 16:57 aferraz Resolution open => fixed
2015-05-16 05:21 hudsonbot Checkin
2015-05-16 05:21 hudsonbot Note Added: 0077508
2015-05-18 08:51 aferraz Summary [Cost Adjutments] - Error in Price Correction Background if Consting Background has not been executed => [Cost Adjutments] - Error in Price Correction Background if Costing Background has not been executed
2015-05-18 08:51 aferraz Description Updated View Revisions
2015-05-18 11:59 umartirena Review Assigned To => umartirena
2015-05-18 11:59 umartirena Note Added: 0077525
2015-05-18 11:59 umartirena Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker